2011-04-12  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpmstubby/StubbyGenerator.java (generateSpecfile): Don't generate useless buildroot, clean, requires and provides.

2011-02-24  Alexander Kurtakov  <akurtako@redhat.com>
	Adapt to current packaging guidelines.
	* src/org/eclipse/linuxtools/rpmstubby/StubbyPomGenerator.java (generateSpecfile): Drop buildroot.
	(generateInstallSection): Drop symlinks.
	(generateFilesSections): Likewise.
	(generateBuildSection): Invoke mvn-rpmbuld.

2010-08-31  Alexander Kurtakov  <akurtako@redhat.com>

	* META-INF/MANIFEST.MF: Move to using commands framework.
	* plugin.xml: Likewise.
	* src/org/eclipse/linuxtools/rpmstubby/popup/actions/StubifyAction.java: Make actions command handlers.
	* src/org/eclipse/linuxtools/rpmstubby/popup/actions/StubifyFeatureAction.java (execute): Likewise.
	* src/org/eclipse/linuxtools/rpmstubby/popup/actions/StubifyPomAction.java (execute): Likewise.

2010-05-31   Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpmstubby/StubbyPomGenerator.java (generateJavadocSubpackage): Add missing Requires to javadoc subpackage. (bz#312865)

2010-05-31  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpmstubby/StubbyPomGenerator.java (generateCleanSection): Fix rm call (bug 312864).

2010-02-11  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpmstubby/StubbyPomGenerator.java (generateInstallSection): Proper install for jars in a <packaging>pom</packaging> project and use %{_mavenpomdir} macro.

2010-01-26  Alexander Kurtakov  <akurtako@redhat.com>
    Drop ability to generate gcj specific parts. Use %global not %define.
	* src/org/eclipse/linuxtools/rpmstubby/preferences/PreferenceConstants.java: Remove gcj parts.
	* src/org/eclipse/linuxtools/rpmstubby/preferences/PreferenceInitializer.java (initializeDefaultPreferences): Likewise.
	* src/org/eclipse/linuxtools/rpmstubby/preferences/StubbyPreferencePage.java (createFieldEditors): Likewise.
	* src/org/eclipse/linuxtools/rpmstubby/StubbyGenerator.java (getPackageFiles): Likewise.
	(generateFilesSections): Likewise.
	(StubbyGenerator): Likewise.
	(generateSpecfile): Likewise. Replace %define with %global.

2009-12-03  Alexander Kurtakov  <akurtako@redhat.com>

	* plugin.xml: Fix duplicated popup menu ids.

2009-11-04  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpmstubby/model/PomModel.java (getVersion): Return inherited parent version if one wasn't defined.

2009-09-07  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpmstubby/model/PomModel.java (xpathEvalNodes): Format.
	(getDependencies): Add javadoc.
	(getURL): Check for another possible xpath for url.

2009-09-07  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpmstubby/model/PomModel.java: New file.
	* src/org/eclipse/linuxtools/rpmstubby/popup/actions/StubifyFeatureAction.java: New file.
	* src/org/eclipse/linuxtools/rpmstubby/popup/actions/StubifyPomAction.java: New file.
	* src/org/eclipse/linuxtools/rpmstubby/SpecfilePomWriter.java: New file.
	* src/org/eclipse/linuxtools/rpmstubby/StubbyPomGenerator.java: New file.
	* plugin.properties: Externalize strings.
	* plugin.xml: Likewise.
	* src/org/eclipse/linuxtools/rpmstubby/popup/actions/StubifyAction.java (run): Make it abstract class.
	(setActivePart): Likewise.
	* src/org/eclipse/linuxtools/rpmstubby/preferences/StubbyPreferencePage.java (init): Add javadoc.
	(createFieldEditors): Likewise.
	* src/org/eclipse/linuxtools/rpmstubby/StubbyGenerator.java (generatePrepSection): Format and javadoc added.
	(getPackageName): Likewise
	(writeContent): Likewise.
	(throwCoreException): Likewise.
	(StubbyGenerator): Likewise.
	(generateSpecfile): Likewise.
	(generateFetchScript): Likewise.

2009-08-07  Alexander Kurtakov  <akurtako@redhat.com>

	* plugin.properties: Fix provider to be Eclipse not Eclipse.org.

2009-05-14  Alexander Kurtakov  <akurtako@redhat.com>

	* META-INF/MANIFEST.MF: Bump release to 0.3.

2009-02-25  Alexander Kurtakov  <akurtako@redhat.com>

	* .settings/org.eclipse.jdt.core.prefs: Enable warning for parameter not used.

2009-02-18  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpmstubby/StubbyGenerator.java (generatePrepSection): Put Fixme in commented block so it get annotated.
	(generateSpecfile): Likewise.
	* src/org/eclipse/linuxtools/rpmstubby/StubbyPackageModel.java (getDescription): Proper constant name.
	(getLicense): Likewise
	(getURL): Likewise.

2009-01-29  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpmstubby/SpecfileWriter.java (write): Lowercase fetch file and spec file names.
	* src/org/eclipse/linuxtools/rpmstubby/StubbyGenerator.java (generateSpecfile): Lowercase simple project name in %install_loc.
	(generateFetchScript): Lowercase name.

2009-01-24  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpmstubby/StubbyGenerator.java (generateSpecfile): Use %{buildroot} constantly.

2009-01-23  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpmstubby/StubbyGenerator.java (generatePrepSection): When generating our fetch script run %setup -c to match the tarball created.
	* src/org/eclipse/linuxtools/rpmstubby/FeatureVisitor.java (getFeatures): Add javadoc.
	(visit): Extract constant.
	* src/org/eclipse/linuxtools/rpmstubby/StubbyPackageModel.java (resolveFeatureProperties): Fix NPE when model returns null.

2009-01-21  Alexander Kurtakov  <akurtako@redhat.com>
	Fix #260887.
	* src/org/eclipse/linuxtools/rpmstubby/model/MainPackage.java
	(getDocFilesRoot): New method.
	(setDocFilesRoot): Likewise.
	(setDocFiles): Likewise.
	(getDocFiles): Likewise.
	* src/org/eclipse/linuxtools/rpmstubby/SpecfileWriter.java
	(write): Add javadoc and populate docs data.
	(SpecfileWriter): Add javadoc.
	* src/org/eclipse/linuxtools/rpmstubby/StubbyGenerator.java
	(generateFilesSections): Generate %doc in the %files section.
	(generateSpecfile): Move %files related generation to generateFilesSections.
	* src/org/eclipse/linuxtools/rpmstubby/StubbyPackageModel.java
	(populateDocFiles): New method.
	(StubbyPackageModel): Store featureDir for later usage.

2009-01-20  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpmstubby/StubbyGenerator.java
	(getDepsOrReqs): Use StringBuilder.
	(getPackageFiles): Likewise.
	(generateSpecfile): Likewise.
	(getProvidesBundlesString): Likewise.
	(generateFilesSections): Extract %files generation to method.

2009-01-20  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpmstubby/preferences/PreferenceConstants.java: Switch default for with_gcj to false.

2009-01-20  Alexander Kurtakov  <akurtako@redhat.com>
	Fix #260884.
	* src/org/eclipse/linuxtools/rpmstubby/StubbyGenerator.java
	(getProvidesBundlesString): Add \ for multiline.
	(generateFetchScript): Fix escaping.

2009-01-20  Alexander Kurtakov  <akurtako@redhat.com>
	Fix #260879.
	* src/org/eclipse/linuxtools/rpmstubby/StubbyGenerator.java
	(generatePrepSection): Add comment for FIXME in %setup call.

2009-01-20  Alexander Kurtakov  <akurtako@redhat.com>
	Fix #260875.
	* build.properties: Add license header.
	* plugin.properties: Fix copyright year.
	* plugin.xml: Add license header.
	* src/org/eclipse/linuxtools/rpmstubby/StubbyGenerator.java
	(generateSpecfile): Add comment for the Source0 generation.
	* src/org/eclipse/linuxtools/rpmstubby/popup/actions/StubifyAction.java: Fix copyright year.


2009-01-20  Alexander Kurtakov  <akurtako@redhat.com>
	Fix #260871.
	* .settings/org.eclipse.jdt.core.prefs: Warn about missing javadoc.
	* src/org/eclipse/linuxtools/rpmstubby/StubbyGenerator.java: Format and javadoc.
	(getProvidesBundlesString): Handle properly *-feature named features.
	* src/org/eclipse/linuxtools/rpmstubby/StubbyPackageModel.java
	(getMissingFeaturesAsString): Add javadoc.
	(getIncudedFeatures): Likewise.
	(isAllIncludedFeatureFound): Likewise.
	(populatePackageData): Likewise.
	(getProvides): Add the feature to the provides.
	(populatePackagePreambleData): Add javadoc.
	(StubbyPackageModel): Add javadoc.
	* src/org/eclipse/linuxtools/rpmstubby/StubbyPlugin.java (PLUGIN_ID): Add javadoc.


2009-01-20  Alexander Kurtakov  <akurtako@redhat.com>

	* .settings/org.eclipse.jdt.core.prefs: Enable warnings for missing javadoc tags.
	* src/org/eclipse/linuxtools/rpmstubby/StubbyLog.java
	(createStatus): Fix javadoc.
	* src/org/eclipse/linuxtools/rpmstubby/StubbyPlugin.java
	(getActiveWorkbenchShell): Likewise.

2009-01-20  Alexander Kurtakov  <akurtako@redhat.com>

	* plugin.xml: Remove unneeded <or>.

2009-01-15  Alexander Kurtakov  <akurtako@redhat.com>

	* .settings/org.eclipse.jdt.core.prefs: Enable javadoc validity warnings.
	* src/org/eclipse/linuxtools/rpmstubby/StubbyLog.java
	(logInfo): Fix javadoc.
	(logError): Likewise.
	(log): Likewise.
	(createStatus): Likewise.

2009-01-14  Andrew Overholt  <overholt@redhat.com>

	* META-INF/MANIFEST.MF: Add qualifier back to trunk.

2009-01-14  Alexander Kurtakov  <akurtako@redhat.com>

	* META-INF/MANIFEST.MF: Bump release for Linuxtools 0.1 release.

2009-01-12  Alexander Kurtakov  <akurtakov@gmail.com>

	* META-INF/MANIFEST.MF: Add qualifier to the version.

2008-12-08  Alexander Kurtakov  <akurtakov@gmail.com>

	* META-INF/MANIFEST.MF: It deserves at least 0.1.0 version.
	* .project: Rename project to match the repo name.

2008-12-04  Alexander Kurtakov  <akurtakov@gmail.com>

	* src/org/eclipse/linuxtools/rpmstubby/StubbyPackageModel.java
	(getLicense): Add support for recognizing CPL.

2008-11-28  Alexander Kurtakov  <akurtakov@gmail.com>

	* src/org/eclipse/linuxtools/rpmstubby/model/MainPackage.java
	(toString): Use StringBuilder instead of StringBuffer.
	* src/org/eclipse/linuxtools/rpmstubby/model/PackageItem.java
	(toString): Likewise.
	* src/org/eclipse/linuxtools/rpmstubby/model/SubPackage.java
	(toString): Likewise.
	* src/org/eclipse/linuxtools/rpmstubby/StubbyGenerator.java
	(generatePrepSection): Likewise.
	(generateBuildSection): Likewise.
	(generateSpecfile): Likewise.
	(generateFetchScript): Likewise.

2008-11-28  Alexander Kurtakov  <akurtakov@gmail.com>

	* src/org/eclipse/linuxtools/rpmstubby/StubbyGenerator.java
	(generateSpecfile): Fix hardcoded eclipse version to require 3.4.0 for the dropins support.

2008-11-20  Alexander Kurtakov  <akurtakov@gmail.com>

	* src/org/eclipse/linuxtools/rpmstubby/StubbyGenerator.java
	(generateSpecfile): Make it install in %{_datadir}/eclipse/dropins/feature_name.

2008-11-20  Alexander Kurtakov  <akurtakov@gmail.com>

	* .settings/org.eclipse.jdt.core.prefs: Enable more warnings.
	* src/org/eclipse/linuxtools/rpmstubby/model/IPackage.java: Switch to Lists from arrays.
	* src/org/eclipse/linuxtools/rpmstubby/model/IPackagePreamble.java: Likewise.
	* src/org/eclipse/linuxtools/rpmstubby/model/MainPackage.java
	(getSources): Likewise.
	(setPaches): Likewise.
	(toString): Likewise
	(setSources): Likewise.
	(getBuildRequires): Likewise
	(setBuildRequires): Likewise
	(getPaches): Likewise.
	* src/org/eclipse/linuxtools/rpmstubby/model/SubPackage.java
	(setProvides): Likewise.
	(toString): Likewise.
	(getProvides): Likewise.
	(setRequires): Likewise.
	(getRequires): Likewise.
	* src/org/eclipse/linuxtools/rpmstubby/StubbyGenerator.java
	(getPackageName): Do not use feature as the name of the feature.
	(getDepsOrReqs): Switch to Lists from arrays.
	(getPackageFiles): Likewise.
	(getProvidesBundles): Likewise.
	(generateSpecfile): Fix %eclipse_base value.
	(getProvidesBundlesString): Switch to Lists from arrays.
	* src/org/eclipse/linuxtools/rpmstubby/StubbyPackageModel.java
	(getDescription): Switch to Lists from arrays.
	(getLicense): Likewise.
	(StubbyPackageModel): Likewise.
	(resolveFeatureProperties): Likewise.
	(getMissingFeaturesAsString): Likewise.
	(isFeatureIncluded): Likewise.
	(getIncudedFeatures): Likewise.
	(getBundleValue): Likewise.
	(isAllIncludedFeatureFound): Likewise.
	(getProvides): Likewise.
	(getRequires): Likewise.
	(populatePackagePreambleData): Likewise.

2008-11-19  Alexander Kurtakov  <akurtakov@gmail.com>

	* src/org/eclipse/linuxtools/rpmstubby/StubbyPackageModel.java
	(getBundleValue): Remove org.eclipse.core.internal classes usage.
	* src/org/eclipse/linuxtools/rpmstubby/popup/actions/StubifyAction.java
	(run): Fix generics warning.
	* src/org/eclipse/linuxtools/rpmstubby/StubbyGenerator.java
	(generateSpecfile): Don't generate Provides for every plugin.

2008-11-03  Andrew Overholt  <overholt@redhat.com>

	* plugin.properties: New file.
	* build.properties: Include plugin.properties.
	* META-INF/MANIFEST.MF: Add Bundle-ActivationPolicy.

2008-07-10  Alexander Kurtakov  <akurtakov@gmail.com>
	Add pdebuild script support.
	* src/org/eclipse/linuxtools/rpmstubby/StubbyGenerator.java:
	(StubbyGenerator): Init usePdebuildScript variable.
	(generateBuildSection): New method.
	(generatePrepSection): New method.
	(generateSpecfile): Use the new methods for build and prep sections which are aware of the
	pdebuild script.
	* src/org/eclipse/linuxtools/rpmstubby/preferences/PreferenceConstants.java: New constants for using
	pdebuild script.
	* src/org/eclipse/linuxtools/rpmstubby/preferences/PreferenceInitializer.java:
	(initializeDefaultPreferences): Init the usePdebuildScript setting.
	* src/org/eclipse/linuxtools/rpmstubby/preferences/StubbyPreferencePage.java:
	(createFieldEditors): Add UI for the usePdebuildScript setting.

2008-07-09  Alexander Kurtakov  <akurtakov@gmail.com>
	Fix NPE when feature.properties is referenced but not present.
	* src/org/eclipse/linuxtools/rpmstubby/StubbyPackageModel.java:
	(getLicense): Check urlString and usrAnotation to not be null when trying to
	search in them.

2008-07-09  Alexander Kurtakov  <akurtakov@gmail.com>

	Adapt to Java 5.
	* .classpath: Change J2SE-1.4 to J2SE-1.5.
	* .settings/org.eclipse.jdt.core.prefs: Bump compiler level to 1.5.
	* META-INF/MANIFEST.MF: Require J2SE-1.5.
	* src/org/eclipse/linuxtools/rpmstubby/FeatureVisitor.java:
	(getFeatures): Generify.
	(visit): Don't throw unneeded exception.
	* src/org/eclipse/linuxtools/rpmstubby/SpecfileWriter.java:
	(write): Use foreach instead of iterator.
	* src/org/eclipse/linuxtools/rpmstubby/StubbyGenerator.java:
	(StubbyGenerator): Generify.
	(generateFetchScript): Use foreach instead of iterator.
	(generateSpecfile): Likewise.
	(getProvidesBundles): Likewise.
	(getProvidesBundlesString): Likewise.
	* src/org/eclipse/linuxtools/rpmstubby/StubbyPackageModel.java:
	(getIncludedFeatures): Likewise.
	(isFeatureIncluded): Likewise.
	* src/org/eclipse/linuxtools/rpmstubby/StubbyPlugin.java:
	(start): Add missing @Override.
	(stop): Likewise.
	* src/org/eclipse/linuxtools/rpmstubby/model/MainPackage.java:
	(toString): Likewise.
	* src/org/eclipse/linuxtools/rpmstubby/model/PackageItem.java:
	(toString): Likewise.
	* src/org/eclipse/linuxtools/rpmstubby/model/SubPackage.java:
	(toString): Likewise.
	* src/org/eclipse/linuxtools/rpmstubby/popup/actions/StubifyAction.java:
	(run): Remove unneeded cast.
	* src/org/eclipse/linuxtools/rpmstubby/preferences/PreferenceInitializer.java:
	(initializeDefaultPreferences): Add missing @Override.
	* src/org/eclipse/linuxtools/rpmstubby/preferences/StubbyPreferencePage.java:
	(createFieldEditors): Likewise.

2008-01-03  Andrew Overholt  <overholt@redhat.com>

	Bug #206964
	* src/org/eclipse/linuxtools/rpmstubby/StubbyPackageModel.java:
	Remove 1.5 API calls.

2007-09-24  Alphonse Van Assche   <alcapcom@gmail.com>

	* src/org/eclipse/linuxtools/rpmstubby/StubbyLog.java: New File.
	* src/org/eclipse/linuxtools/rpmstubby/StubbyPackageModel.java
	(StubbyPackageModel): Using StubbyLog.
	(getIncudedFeatures): Likewise.
	(resolveFeatureProperties): Likewise.
	* src/org/eclipse/linuxtools/rpmstubby/StubbyGenerator.java
	(generateSpecfile): Add missing %endif macro.
	(writeContent): Using StubbyLog.
	* src/org/eclipse/linuxtools/rpmstubby/SpecfileWriter.java
	(write): Using StubbyLog and print error mesage to stdout.


2007-09-19  Alphonse Van Assche   <alcapcom@gmail.com>

	* .settings/org.eclipse.jdt.ui.prefs: J2SE-1.4 preferred EE.
	* .settings/org.eclipse.jdt.core.prefs: Likewise.

2007-09-16  Alphonse Van Assche  <alcapcom@gmail.com>

	* src/org/eclipse/linuxtools/rpmstubby/StubbyGenerator.java
	(generateSpecfile): Add eclipse_base define.
	* src/org/eclipse/linuxtools/rpmstubby/FeatureVisitor.java
	(visit): Cleanup javadoc.
	* src/org/eclipse/linuxtools/rpmstubby/StubbyPackageModel.java: Cleanup.

2007-09-12  Alphonse Van Assche  <alcapcom@gmail.com>

	* src/org/eclipse/linuxtools/rpmstubby/StubbyGenerator.java
	(generateSpecfile): Fix a specfile formating bug.
	* src/org/eclipse/linuxtools/rpmstubby/FeatureVisitor.java: Fix List naming.
	* src/org/eclipse/linuxtools/rpmstubby/StubbyPackageModel.java
	(getDescription): Add the last description token.

2007-09-09  Alphonse Van Assche  <alcapcom@gmail.com>

	* src/org/eclipse/linuxtools/rpmstubby/StubbyPackageModel.java
	(getLicense): Try to find the license in LicenseModel().getAnnotation() too.
	* src/org/eclipse/linuxtools/rpmstubby/StubbyPackageModel.java
	(getDescription): Each description line contain maximum 80 characters.
	* src/org/eclipse/linuxtools/rpmstubby/StubbyGenerator.java
	(generateSpecfile): Fix Specfile formating.

2007-09-07  Alphonse Van Assche  <alcapcom@gmail.com>

	* src/org/eclipse/linuxtools/rpmstubby/StubbyGenerator.java
	(generateSpecfile): Fix inversion of URL and License tag - add Source0 tag when the specfile is generate with the fetch script.
	* src/org/eclipse/linuxtools/rpmstubby/StubbyPackageModel.java
	(getURL): Return FIXME instead of null if the feature URL field is empty.
	* .classpath: Add J2SE-1.4 preferred EE.
	* META-INF/MANIFEST.MF: Add J2SE-1.4 preferred EE.
	* src/org/eclipse/linuxtools/rpmstubby/popup/actions/StubifyAction.java: Restore
	accidentally removed file file.

2007-09-07  Alphonse Van Assche  <alcapcom@gmail.com>

    - Add models that represent the package.
    - Generate specfile based on the model.
    - Generate fetch script based on the model.
    - Add Preference page to configure the generator.
    * plugin.xml: Add properties pages extensions
	* META-INF/MANIFEST.MF: Add require bundle 'org.eclipse.ui.ide'
	* src/org/eclipse/linuxtools/rpmstubby/preferences/StubbyPreferencePage.java: New Class.
	* src/org/eclipse/linuxtools/rpmstubby/preferences/PreferenceInitializer.java: Likewise.
	* src/org/eclipse/linuxtools/rpmstubby/preferences/PreferenceConstants.java: Likewise.
	* src/org/eclipse/linuxtools/rpmstubby/popup/actions/StubifyAction.java: Likewise.
	* src/org/eclipse/linuxtools/rpmstubby/model/SubPackage.java: Likewise.
	* src/org/eclipse/linuxtools/rpmstubby/model/PackageItem.java: Likewise.
	* src/org/eclipse/linuxtools/rpmstubby/model/MainPackage.java: Likewise.
	* src/org/eclipse/linuxtools/rpmstubby/model/IPackagePreamble.java: Likewise.
	* src/org/eclipse/linuxtools/rpmstubby/model/IPackage.java: Likewise.
	* src/org/eclipse/linuxtools/rpmstubby/StubbyPackageModel.java: Likewise.
	* src/org/eclipse/linuxtools/rpmstubby/StubbyGenerator.java: Likewise.
	* src/org/eclipse/linuxtools/rpmstubby/SpecfileWriter.java: Likewise.
	* src/org/eclipse/linuxtools/rpmstubby/FeatureVisitor.java: Likewise.

2007-05-04  Andrew Overholt  <overholt@redhat.com>

	Bug #185598
	* META-INF/MANIFEST.MF: Add "Incubation" to Bundle-Name.

2007-04-02  Andrew Overholt  <overholt@redhat.com>

	* META-INF/MANIFEST.MF: Change Bundle-Vendor to Eclipse.org (#180822).
	* .settings: Add (#180822).
	* .classpath: Add (#180822).

2007-04-02  Andrew Overholt  <overholt@redhat.com>

	* META-INF/MANIFEST.MF: Remove erroneous dependency on CDT.

2007-01-30  Andrew Overholt  <overholt@redhat.com>

	* bin: Add to svnignore.

2007-01-18  Andrew Overholt  <overholt@redhat.com>

	* src/org/eclipse/linuxtools/rpmstubby/StubbyPlugin.java: Initial checkin.
	* src/org/eclipse/linuxtools/rpmstubby/popup/actions/StubifyAction.java: Likewise.
	* plugin.xml: Likewise.
	* build.properties: Likewise.
	* META-INF/MANIFEST.MF: Likewise.
